Debian Bug report logs - #579285
openssh-client: Please get rid of messages like "update-alternatives: error: no alternatives for rsh." when installing

version graph

Package: openssh-client; Maintainer for openssh-client is Debian OpenSSH Maintainers <debian-ssh@lists.debian.org>; Source for openssh-client is src:openssh.

Reported by: Petter Reinholdtsen <pere@hungry.com>

Date: Mon, 26 Apr 2010 19:27:02 UTC

Severity: normal

Found in version openssh/1:5.3p1-3

Fixed in version openssh/1:5.5p1-3

Done: Colin Watson <cjwatson@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian OpenSSH Maintainers <debian-ssh@lists.debian.org>:
Bug#579285; Package openssh-client. (Mon, 26 Apr 2010 19:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
New Bug report received and forwarded. Copy sent to Debian OpenSSH Maintainers <debian-ssh@lists.debian.org>. (Mon, 26 Apr 2010 19:27:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: submit@bugs.debian.org
Subject: openssh-client: Please get rid of messages like "update-alternatives: error: no alternatives for rsh." when installing
Date: Mon, 26 Apr 2010 21:23:49 +0200
Package:  openssh-client
Version:  1:5.3p1-3
User:     debian-edu@lists.debian.org
UserTags: debian-edu

When installing openssh-client in a fresh squeeze chroot, three errors
are printed:

  Setting up openssh-client (1:5.3p1-3) ...
  update-alternatives: error: no alternatives for rsh.
  update-alternatives: error: no alternatives for rlogin.
  update-alternatives: error: no alternatives for rcp.

I'm not quite sure what the problem is, nor how to fix it, but please
get rid of these errors.  It messes up the automatic installation
testing in Debian Edu, where we look for error: in the installation
syslog to verify that the installation was successful.  :)

Happy hacking,
-- 
Petter Reinholdtsen




Added tag(s) pending. Request was from Colin Watson <cjwatson@debian.org> to control@bugs.debian.org. (Mon, 26 Apr 2010 22:42:04 GMT) Full text and rfc822 format available.

Reply sent to Colin Watson <cjwatson@debian.org>:
You have taken responsibility. (Wed, 28 Apr 2010 22:09:03 GMT) Full text and rfc822 format available.

Notification sent to Petter Reinholdtsen <pere@hungry.com>:
Bug acknowledged by developer. (Wed, 28 Apr 2010 22:09:04 GMT) Full text and rfc822 format available.

Message #12 received at 579285-close@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: 579285-close@bugs.debian.org
Subject: Bug#579285: fixed in openssh 1:5.5p1-3
Date: Wed, 28 Apr 2010 22:06:24 +0000
Source: openssh
Source-Version: 1:5.5p1-3

We believe that the bug you reported is fixed in the latest version of
openssh, which is due to be installed in the Debian FTP archive:

openssh-client-udeb_5.5p1-3_i386.udeb
  to main/o/openssh/openssh-client-udeb_5.5p1-3_i386.udeb
openssh-client_5.5p1-3_i386.deb
  to main/o/openssh/openssh-client_5.5p1-3_i386.deb
openssh-server-udeb_5.5p1-3_i386.udeb
  to main/o/openssh/openssh-server-udeb_5.5p1-3_i386.udeb
openssh-server_5.5p1-3_i386.deb
  to main/o/openssh/openssh-server_5.5p1-3_i386.deb
openssh_5.5p1-3.debian.tar.gz
  to main/o/openssh/openssh_5.5p1-3.debian.tar.gz
openssh_5.5p1-3.dsc
  to main/o/openssh/openssh_5.5p1-3.dsc
ssh-askpass-gnome_5.5p1-3_i386.deb
  to main/o/openssh/ssh-askpass-gnome_5.5p1-3_i386.deb
ssh-krb5_5.5p1-3_all.deb
  to main/o/openssh/ssh-krb5_5.5p1-3_all.deb
ssh_5.5p1-3_all.deb
  to main/o/openssh/ssh_5.5p1-3_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 579285@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Colin Watson <cjwatson@debian.org> (supplier of updated openssh package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 28 Apr 2010 22:12:47 +0100
Source: openssh
Binary: openssh-client openssh-server ssh ssh-krb5 ssh-askpass-gnome openssh-client-udeb openssh-server-udeb
Architecture: source i386 all
Version: 1:5.5p1-3
Distribution: unstable
Urgency: low
Maintainer: Debian OpenSSH Maintainers <debian-ssh@lists.debian.org>
Changed-By: Colin Watson <cjwatson@debian.org>
Description: 
 openssh-client - secure shell (SSH) client, for secure access to remote machines
 openssh-client-udeb - secure shell client for the Debian installer (udeb)
 openssh-server - secure shell (SSH) server, for secure access from remote machines
 openssh-server-udeb - secure shell server for the Debian installer (udeb)
 ssh        - secure shell client and server (metapackage)
 ssh-askpass-gnome - interactive X program to prompt users for a passphrase for ssh-ad
 ssh-krb5   - secure shell client and server (transitional package)
Closes: 579285 579570
Changes: 
 openssh (1:5.5p1-3) unstable; urgency=low
 .
   * Discard error messages while checking whether rsh, rlogin, and rcp
     alternatives exist (closes: #579285).
   * Drop IDEA key check; I don't think it works properly any more due to
     textual changes in error output, it's only relevant for direct upgrades
     from truly ancient versions, and it breaks upgrades if
     /etc/ssh/ssh_host_key can't be loaded (closes: #579570).
Checksums-Sha1: 
 9483c9e18247f709ee9f23bde7142b5b909ba749 1690 openssh_5.5p1-3.dsc
 c489f846c8455a4a65d2fa08c47b572bc7e57872 233257 openssh_5.5p1-3.debian.tar.gz
 583a5a70f1a0f98e71dd37320d02b9536e999f8b 877882 openssh-client_5.5p1-3_i386.deb
 3cdc928f499170c242d6a1e40de2e4abe438ee8d 297146 openssh-server_5.5p1-3_i386.deb
 892fdcd2477e255b783fcf213da5c22ff1dbb7e2 1246 ssh_5.5p1-3_all.deb
 71d17bc92055f1292b4b70f53a51a43a982cf545 95214 ssh-krb5_5.5p1-3_all.deb
 5b1455a34ad5c4f00e587198717738d001667d90 102802 ssh-askpass-gnome_5.5p1-3_i386.deb
 3aa748edfa97a545478163ef45427249ab40864b 193248 openssh-client-udeb_5.5p1-3_i386.udeb
 c20c02e4f37b31e5463a3fd638c6ec08e71329c4 218154 openssh-server-udeb_5.5p1-3_i386.udeb
Checksums-Sha256: 
 e009d638279e4ba046c8ab67ae91049082eaa0c6cce675774df1f1c5649705b2 1690 openssh_5.5p1-3.dsc
 37120b484a33a8644ac6c7c232ed936943a2faedf22f7f103f3be89c0e69aad3 233257 openssh_5.5p1-3.debian.tar.gz
 708dbec96290e425057bc996b15f463c5fbb5a92c602d487527e93c1c1c34d67 877882 openssh-client_5.5p1-3_i386.deb
 94bfd92ebf70e580a091e0e13f5cb7b93a2653a877dc3926981b1a2ef698f7c4 297146 openssh-server_5.5p1-3_i386.deb
 2f6502a816393ccd96a0f798ae17b8026678ec274c7cfacc2159730958972571 1246 ssh_5.5p1-3_all.deb
 0f35a541be0508d15c1f64f817bede6d0c2b50e8daf6fe092d2935ae8252ffa3 95214 ssh-krb5_5.5p1-3_all.deb
 97dde99bf148e085c3ffe17e6e678476c6ecc1811317b4a2d47d1cb0f62666db 102802 ssh-askpass-gnome_5.5p1-3_i386.deb
 0dadd2b8f1631c129bad4408dba19aab9f4fbc1736d823b8704d73eb3b5b92fd 193248 openssh-client-udeb_5.5p1-3_i386.udeb
 a2b8299f88bb517d804e388c664303013428772726b957b66c2358e63697a0e7 218154 openssh-server-udeb_5.5p1-3_i386.udeb
Files: 
 a6fafd4a415a66b2f69fc99dac374a9e 1690 net standard openssh_5.5p1-3.dsc
 6b2955362dd8616e08a225666b754581 233257 net standard openssh_5.5p1-3.debian.tar.gz
 4acd4461f9c6ff83b2ca118f9dda9c2a 877882 net standard openssh-client_5.5p1-3_i386.deb
 8f7e39a47029d782e2270d4309490ba3 297146 net optional openssh-server_5.5p1-3_i386.deb
 c812bc528ab8acb0b0a457d4f934e223 1246 net extra ssh_5.5p1-3_all.deb
 e609bbd9e1f032277bad9282911ecea4 95214 net extra ssh-krb5_5.5p1-3_all.deb
 39573ac89160618c0ebcb2b6182e9211 102802 gnome optional ssh-askpass-gnome_5.5p1-3_i386.deb
 346e1a30503b36e5103a4760bec070d1 193248 debian-installer optional openssh-client-udeb_5.5p1-3_i386.udeb
 e3e19ee6eec52bad36b1be94960b6539 218154 debian-installer optional openssh-server-udeb_5.5p1-3_i386.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)
Comment: Colin Watson <cjwatson@debian.org> -- Debian developer

iD8DBQFL2KcE9t0zAhD6TNERAseHAJ9qo1v/pLDlpPAYwkRgkEgs6IpMrQCeJHaQ
+Dh0D/ADxl13tK5fN8dYfF8=
=zHJO
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 06 Jun 2010 07:36:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 06:39:41 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.